{% extends "base.html" %}{% block content %}
<main>
    <h1>My Categories</h1>
    <table>
        <tr>
            <th>Name</th>
            <th>Number of receipts</th>
        </tr>

        {% for category in expensecategory_list%}
        <tr>
            <td>{{ category.name }}</td>
            <td>{{ category.receipts.all|length }}</td>
        </tr>
        {% endfor %}
    </table>

    <a href = {% url "create_category" %}><button type="button">Create a category</button></a>
</main>
{% endblock content%}
